/*******************************************************************************
 * SoundMode generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SoundMode extends Object
    native(AudioDevice)
    dontsortcategories(SoundMode)
    hidecategories(Object);

struct native AudioEQEffect
{
    var native transient Double RootTime;
    var(HighPass) float HFFrequency;
    var(HighPass) float HFGain;
    var(BandPass) float MFCutoffFrequency;
    var(BandPass) float MFBandwidth;
    var(BandPass) float MFGain;
    var(LowPass) float LFFrequency;
    var(LowPass) float LFGain;

    structdefaultproperties
    {
        HFFrequency=0.0
        HFGain=0.0
        MFCutoffFrequency=0.0
        MFBandwidth=0.0
        MFGain=0.0
        LFFrequency=0.0
        LFGain=0.0
    }
};

struct native SoundClassAdjuster
{
    var() transient AudioDevice.ESoundClassName SoundClassName;
    var() editconst name SoundClass;
    var() float VolumeAdjuster;
    var() float PitchAdjuster;
    var() bool bApplyToChildren;
    var() float VoiceCenterChannelVolumeAdjuster;

    structdefaultproperties
    {
        SoundClassName=ESoundClassName.Master
        SoundClass=Master
        VolumeAdjuster=1.0
        PitchAdjuster=1.0
        bApplyToChildren=false
        VoiceCenterChannelVolumeAdjuster=1.0
    }
};

var(EQ) bool bApplyEQ;
var(EQ) AudioEQEffect EQSettings;
var(SoundClasses) array<SoundClassAdjuster> SoundClassEffects;
var() float InitialDelay;
var() float FadeInTime;
var() float Duration;
var() float FadeOutTime;

defaultproperties
{
    EQSettings=(HFFrequency=2000.0,HFGain=1.0,MFCutoffFrequency=1000.0,MFBandwidth=1.0,MFGain=1.0,LFFrequency=600.0,LFGain=1.0)
    FadeInTime=0.20
    Duration=-1.0
    FadeOutTime=0.20
}